# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-05-19 04:38
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Auto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vin', models.CharField(blank=True, db_index=True, default=None, max_length=17, null=True, verbose_name='VIN')),
            ],
            options={
                'verbose_name': 'Авто',
                'verbose_name_plural': 'Авто',
                'ordering': ['vin'],
            },
        ),
        migrations.CreateModel(
            name='MarkAuto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, db_index=True, default=None, max_length=20, null=True, verbose_name='Марка')),
            ],
            options={
                'verbose_name': 'Марка',
                'verbose_name_plural': 'Марки',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='ModelAuto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, db_index=True, default=None, max_length=20, null=True, verbose_name='Модель')),
                ('mark_auto', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.MarkAuto', verbose_name='Марка')),
            ],
            options={
                'verbose_name': 'Модель',
                'verbose_name_plural': 'Модели',
                'ordering': ['name'],
            },
        ),
        migrations.AddField(
            model_name='auto',
            name='mark_auto',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.MarkAuto', verbose_name='Марка'),
        ),
        migrations.AddField(
            model_name='auto',
            name='model_auto',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.ModelAuto', verbose_name='Модель'),
        ),
    ]
